# Class CancelOfferRequest

#### Hierarchy

- unknown
  - CancelOfferRequest

- Defined in src/protobuf/grpc_pb.d.ts:1592
- Defined in src/protobuf/grpc_pb.d.ts:1604

#####
Index

### Constructors

constructor

### Methods

getId
serializeBinary
setId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CancelOfferRequest(): CancelOfferRequest

- #### Returns CancelOfferRequest

  Inherited from jspb.Message.constructor

## Methods

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1593

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1596

### setId

- setId(value: string): CancelOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns CancelOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1594

### toObject

- toObject(includeInstance?: boolean): CancelOfferRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CancelOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1597

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CancelOfferRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CancelOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1600

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CancelOfferRequest, reader: BinaryReader): CancelOfferRequest

- #### Parameters

  - ##### message: CancelOfferRequest

  - ##### reader: BinaryReader

  #### Returns CancelOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1601

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CancelOfferRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CancelOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1599

### `Static` toObject

- toObject(includeInstance: boolean, msg: CancelOfferRequest): CancelOfferRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CancelOfferRequest

  #### Returns CancelOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1598

Generated using TypeDoc